/*
 * my_proxy_read_pass.h
 *
 * Common client side routines.
 */
#ifndef _MYPROXY_READ_PASS_H
#define _MYPROXY_READ_PASS_H

/*
 * myproxy_read_passphrase()
 *
 * Issue a standard prompt and read the pass phrase from standard in
 * and place it into the given buffer with length given by buffer_len.
 * If pass phrase is greater than buffer_len bytes, it is silently
 * truncated.
 * 
 * Returns number of characters read, -1 on error.
 */
int myproxy_read_passphrase(char		*buffer,
			    int			buffer_len);

/*
 * myproxy_read_verified_passphrase()
 *
 * Same as myproxy_read_passphrase except the user is prompted
 * twice for the passphrase and both must match.
 */
int myproxy_read_verified_passphrase(char	*buffer,
				     int	buffer_len);


#endif /* _MYPROXY_READ_PASS_H */
